Bug 892700 - (CVE-2012-6087) CVE-2012-6087 moodle (Amazon S3 module): Improper use of cURL API might lead to improper SSL certificate verification (MiTM)
CVE-2012-6087 moodle (Amazon S3 module): Improper use of cURL API might lead ...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130102,repor...
: Security
Depends On: 892701 892702
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-07 11:12 EST by Jan Lieskovsky
Modified: 2015-07-31 02:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-05 12:16:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-01-07 11:12:34 EST
A security flaw was found in the way Moodle, a course management system (CMS), used (lib)cURL's CURLOPT_SSL_VERIFYHOST variable, when doing certificate validation (value of '1' meaning only check for the existence of a common name was used instead of value '2' - which also checks if the particular common name matches the requested hostname of the server). A rogue service could use this flaw to conduct man-in-the-middle (MiTM) attacks.

References:
[1] http://www.openwall.com/lists/oss-security/2013/01/02/1
[2] http://www.openwall.com/lists/oss-security/2013/01/03/1
[3] https://github.com/tpyo/amazon-s3-php-class/pull/36

Relevant upstream patch:
[4] https://github.com/tmuras/amazon-s3-php-class/commit/07bb73fe2ad2c74e0d1af395a391ddb8d0fcaa7c
Comment 1 Jan Lieskovsky 2013-01-07 11:14:59 EST
This issue affects the versions of the moodle package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the moodle package, as shipped with Fedora EPEL 6. Please schedule an update.

--

This issue did NOT affect the version of the moodle package, as shipped with Fedora EPEL 5 (it does not provide support for Amazon S3 module yet).
Comment 2 Jan Lieskovsky 2013-01-07 11:16:06 EST
Created moodle tracking bugs for this issue

Affects: fedora-all [bug 892701]
Affects: epel-6 [bug 892702]
Comment 3 Gwyn Ciesla 2013-01-15 10:33:26 EST
This appears to affect all rawhide and f18 as well, and the most recent 2.4.1, does it not?
Comment 4 Jan Lieskovsky 2013-01-15 11:29:21 EST
(In reply to comment #3)

Hi Jon,

> This appears to affect all rawhide and f18 as well, and the most recent
> 2.4.1, does it not?

Yes, according to: http://git.moodle.org/gw?p=moodle.git;a=blob_plain;f=repository/s3/S3.php;hb=62b48ad7ada1e9b88c68ffcfa20d560e490b43cc this would affect most recent v.2.4.1 version too (thus rawhide and F18 too).

(got there from http://git.moodle.org/gw?p=moodle.git;a=tree;h=3097afdeb5e55c4ee82e7fe00be78fc6006ee209;hb=62b48ad7ada1e9b88c68ffcfa20d560e490b43cc link).

Note You need to log in before you can comment on or make changes to this bug.